package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

/**
 * 共享带宽参数
 *
 * @author wangyu
 * @version 1.0
 * @since 2019年5月15日
 */
public class GwQosModel {
    private String uuid;// 资源 id
    private List<String> addresses;// 限速 ip 地址列表 required
    private Integer cir;// 承诺信息速率,单位 kbps，范围 512-10000000 required
    private Integer cbs;// 承诺突发尺寸，单位 byte，范围 1-4294967295 required
    private Integer pir;// 峰值信息速率，单位 bit，范围 1024-10000000
    private Integer pbs;// 峰值突发尺寸,单位 byte，范围 1-4294967295 required
    private Integer bandwidth;
    // rules info
    private String policyUuid;
    private Integer maxKbps;
    private Integer maxBurstKbps;
    // 从端口的角度看，QoS规则应用到的流量的方向。有效值是出口和进口。默认值为egress。egress and ingress
    private String direction;
    private String ruleUuid;
    // policy info
    private String name;
    private String remark;
    private Boolean shared;
    private Boolean isDefault;
    private Integer revisionNumber;
    private Date createdAt;
    private Date updatedAt;
    private String tags;
    private String tenantUuid;
    private List<GwQosModel> qosRules;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public List<String> getAddresses() {
        return addresses;
    }

    public void setAddresses(List<String> addresses) {
        this.addresses = addresses;
    }

    public Integer getCir() {
        return cir;
    }

    public void setCir(Integer cir) {
        this.cir = cir;
    }

    public Integer getCbs() {
        return cbs;
    }

    public void setCbs(Integer cbs) {
        this.cbs = cbs;
    }

    public Integer getPir() {
        return pir;
    }

    public void setPir(Integer pir) {
        this.pir = pir;
    }

    public Integer getPbs() {
        return pbs;
    }

    public void setPbs(Integer pbs) {
        this.pbs = pbs;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public Integer getBandwidth() {
        return bandwidth;
    }

    public void setBandwidth(Integer bandwidth) {
        this.bandwidth = bandwidth;
    }

    public Integer getMaxKbps() {
        return maxKbps;
    }

    public void setMaxKbps(Integer maxKbps) {
        this.maxKbps = maxKbps;
    }

    public Integer getMaxBurstKbps() {
        return maxBurstKbps;
    }

    public void setMaxBurstKbps(Integer maxBurstKbps) {
        this.maxBurstKbps = maxBurstKbps;
    }

    public Boolean getShared() {
        return shared;
    }

    public void setShared(Boolean shared) {
        this.shared = shared;
    }

    public Boolean getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Boolean isDefault) {
        this.isDefault = isDefault;
    }

    public Integer getRevisionNumber() {
        return revisionNumber;
    }

    public void setRevisionNumber(Integer revisionNumber) {
        this.revisionNumber = revisionNumber;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<GwQosModel> getQosRules() {
        return qosRules;
    }

    public void setQosRules(List<GwQosModel> qosRules) {
        this.qosRules = qosRules;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPolicyUuid() {
        return policyUuid;
    }

    public void setPolicyUuid(String policyUuid) {
        this.policyUuid = policyUuid;
    }

    public String getRuleUuid() {
        return ruleUuid;
    }

    public void setRuleUuid(String ruleUuid) {
        this.ruleUuid = ruleUuid;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }
}
